##### experimental::basic_channel::basic_channel (4 of 4 overloads)

Move-construct a `experimental::basic_channel` from another.

    template<
        typename Executor1>
    basic_channel(
        basic_channel< Executor1, Traits, Signatures...> && other,
        typename constraint< is_convertible< Executor1, Executor >::value >::type  = 0);

This constructor moves a channel from one object to another.

###### Parameters

other

  The other `experimental::basic_channel` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_channel(const executor_type&)` constructor.